org.jboss.jca.core.spi.statistics

## Interface StatisticsPlugin

- All Superinterfaces:
    java.io.Serializable
  All Known Subinterfaces:
    PoolStatistics, XAResourceStatistics

      public interface StatisticsPlugin
      extends java.io.Serializable

  Defines the contract for a statistics plugin.
  Author:
    Jesper Pedersen

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()` Clear all statistics
    `java.lang.String` | `getDescription(java.lang.String name)` Get the description
    `java.lang.String` | `getDescription(java.lang.String name, java.util.Locale locale)` Get the description
    `java.util.Set<java.lang.String>` | `getNames()` Get the statistics names
    `java.lang.Class` | `getType(java.lang.String name)` Get the type
    `java.lang.Object` | `getValue(java.lang.String name)` Get the value of the statistics
    `boolean` | `isEnabled()` Is the statistics module enabled
    `void` | `setEnabled(boolean v)` Set the statistics module enabled

- - ### Method Detail

    - #### getNames

          java.util.Set<java.lang.String> getNames()

      Get the statistics names
      Returns:
        The value

    - #### getType

          java.lang.Class getType(java.lang.String name)

      Get the type
      Parameters:
        `name` - The name of the statistics
      Returns:
        The value

    - #### getDescription

          java.lang.String getDescription(java.lang.String name)

      Get the description
      Parameters:
        `name` - The name of the statistics
      Returns:
        The value

    - #### getDescription

          java.lang.String getDescription(java.lang.String name,
                                          java.util.Locale locale)

      Get the description
      Parameters:
        `name` - The name of the statistics
        `locale` - The locale
      Returns:
        The value

    - #### getValue

          java.lang.Object getValue(java.lang.String name)

      Get the value of the statistics
      Parameters:
        `name` - The name of the statistics
      Returns:
        The value

    - #### isEnabled

          boolean isEnabled()

      Is the statistics module enabled
      Returns:
        The value

    - #### setEnabled

          void setEnabled(boolean v)

      Set the statistics module enabled
      Parameters:
        `v` - The value

    - #### clear

          void clear()

      Clear all statistics

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)